#include <glut.h>

void drowT(int x, int y, int l, int it)
{
    int X1 = x - l / 2; 
    int X2 = x + l / 2;
    int Y1 = y - l / 2;
    int Y2 = y + l / 2;
    glColor3f(1.0, 1.0, 1.0);
    glVertex2i(X1, Y1);
    glVertex2i(X1, Y2);
    glVertex2i(X2, Y2);
    glVertex2i(X2, Y1);
    if(it != 0){
        drowT(X1, Y1, l / 2, it - 1);
        drowT(X1, Y2, l / 2, it - 1);
        drowT(X2, Y2, l / 2, it - 1);
        drowT(X2, Y1, l / 2, it - 1);
    }    
}

void reshape(int w, int h)
{   
    glClearColor(1.0, 0.0, 0.0, 0.0);
    glViewport(0, 0, w, h);
       
    glMatrixMode(GL_PROJECTION);
    glLoadIdentity();
    gluOrtho2D(0, w, 0, h);
       
    glMatrixMode(GL_MODELVIEW);
    glLoadIdentity();
}

void display()
{
    glClear(GL_COLOR_BUFFER_BIT);

    glColor3f(1.0, 1.0, 1.0);
    glBegin(GL_QUADS);
        drowT(400, 400, 400, 10);
    glEnd();   
 
	glutSwapBuffers();
}

int main(int argc, char *argv[])
{
      glutInit(&argc, argv);
      glutInitDisplayMode(GLUT_DOUBLE | GLUT_RGB);
      glutInitWindowSize(800, 800);

      glutCreateWindow("Levy");

      glutDisplayFunc(display);
      glutReshapeFunc(reshape);

      glutMainLoop();
}